﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ornek2
{
    public partial class Form1 : Form
    {
        ComboBox calis, csatis;

        public Form1()
        {
            InitializeComponent();

            cislem.Items.Add("Alış");
            cislem.Items.Add("Satış");
            cislem.Text = "Seçiniz";
            curunler.Text = "Seçiniz";
            calis = new ComboBox();
            csatis = new ComboBox();
            toplamtutar();
        }

        private void burun_Click(object sender, EventArgs e)
        {
            Form2 frm = new Form2(curunler, calis, csatis);
            frm.ShowDialog();
        }


        private void toplamtutar()
        {
            int tutar = 0;

            for (int i = 0; i < ltutar.Items.Count; i++)
                tutar += Convert.ToInt32(ltutar.Items[i]);
            label1.Text = tutar + " TL";
        }

        private void bekle_Click(object sender, EventArgs e)
        {
            int miktar;
            bool kontrol = Int32.TryParse(tmiktar.Text, out miktar);

            if (kontrol && curunler.SelectedIndex > -1 && cislem.SelectedIndex > -1)
            {
                int fiyat = 0;
                if (cislem.Text == "Alış")
                    fiyat = (-1) * Convert.ToInt32(calis.Items[curunler.SelectedIndex]);
                else
                    fiyat = Convert.ToInt32(csatis.Items[curunler.SelectedIndex]);

                fiyat *= miktar;

                lurunler.Items.Add(curunler.Text);
                lmiktar.Items.Add(tmiktar.Text);
                lislem.Items.Add(cislem.Text);
                ltutar.Items.Add(fiyat);
                
                curunler.Text = "Seçiniz";
                tmiktar.Clear();
                cislem.Text = "Seçiniz";
                toplamtutar();
            }

        }
    }
}
