﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;

namespace ornek2
{
    public partial class Form2 : Form
    {
        ComboBox curunler, calis, csatis;
        public Form2(ComboBox _curunler, ComboBox _calis, ComboBox _csatis)
        {
            InitializeComponent();
            curunler = _curunler;
            calis = _calis;
            csatis = _csatis;

            // geri yukleme

            for (int i = 0; i < curunler.Items.Count; i++)
            {
                lurun.Items.Add(curunler.Items[i]);
                lalis.Items.Add(calis.Items[i]);
                lsatis.Items.Add(csatis.Items[i]);
                
            }

        }

        private void bekle_Click(object sender, EventArgs e)
        {
            int alis, satis;
            bool a_kontrol = Int32.TryParse(talis.Text, out alis);
            bool s_kontrol = Int32.TryParse(tsatis.Text, out satis);

            if (a_kontrol && s_kontrol && turun.Text.Length > 0)
            {
                lurun.Items.Add(turun.Text);
                lalis.Items.Add(talis.Text);
                lsatis.Items.Add(tsatis.Text);

                turun.Clear();
                talis.Clear();
                tsatis.Clear();
            }




        }

        private void bdoku_Click(object sender, EventArgs e)
        {
            try
            {
                string[] satirlar = File.ReadAllLines("dosya.txt");

                lurun.Items.Clear();
                lalis.Items.Clear();
                lsatis.Items.Clear();

                char[] ch = new char[] { ';' };

                for (int satir = 0; satir < satirlar.Length; satir++)
                {
                    string[] parcalar = satirlar[satir].Split(ch);
                    if (parcalar.Length == 3)
                    {
                        int alis, satis;
                        bool a_kontrol = Int32.TryParse(parcalar[1], out alis);
                        bool s_kontrol = Int32.TryParse(parcalar[2], out satis);

                        if (a_kontrol && s_kontrol && parcalar[0].Length > 0)
                        {
                            lurun.Items.Add(parcalar[0]);
                            lalis.Items.Add(parcalar[1]);
                            lsatis.Items.Add(parcalar[2]);
                        }
                    }
                }
                    MessageBox.Show("Dosya okundu!");

            }
            catch {
                MessageBox.Show("Dosya okunamadı!");
            }
        }

        private void bdyaz_Click(object sender, EventArgs e)
        {

            string yazilacak = "";
            
            for (int satir = 0; satir < lurun.Items.Count; satir++)
            {
                yazilacak += lurun.Items[satir] + ";" + lalis.Items[satir] + ";" + lsatis.Items[satir]+"\n";
            }
                        
            try
            {
                File.WriteAllText("dosya.txt", yazilacak);
                MessageBox.Show("Dosyaya yazıldı!");
            }
            catch
            {
                MessageBox.Show("Dosyaya yazılamadı!");
            }



        }

        private void bkapat_Click(object sender, EventArgs e)
        {

            curunler.Items.Clear();
            calis.Items.Clear();
            csatis.Items.Clear();

            // form1 e son halini gonderdik
            for (int i = 0; i < lurun.Items.Count; i++)
            {
                curunler.Items.Add(lurun.Items[i]);
                calis.Items.Add(lalis.Items[i]);
                csatis.Items.Add(lsatis.Items[i]);     
            }

            curunler.Text = "Seçiniz";


            this.Close();

        }
    }
}
